Bug 1127565 - [abrt] control-center: gnome_rr_output_info_is_active(): gnome-control-center killed by SIGSEGV
Summary: [abrt] control-center: gnome_rr_output_info_is_active(): gnome-control-center...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: control-center
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Control Center Maintainer
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:2c827205ac872b0ada23663d2a2...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-07 07:22 UTC by Matteo Settenvini
Modified: 2015-12-02 16:11 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-02 03:22:15 UTC


Attachments (Terms of Use)
File: backtrace (80.29 KB, text/plain)
2014-08-07 07:22 UTC, Matteo Settenvini
no flags Details
File: cgroup (190 bytes, text/plain)
2014-08-07 07:22 UTC, Matteo Settenvini
no flags Details
File: core_backtrace (38.11 KB, text/plain)
2014-08-07 07:22 UTC, Matteo Settenvini
no flags Details
File: dso_list (26.47 KB, text/plain)
2014-08-07 07:22 UTC, Matteo Settenvini
no flags Details
File: environ (1.45 KB, text/plain)
2014-08-07 07:22 UTC, Matteo Settenvini
no flags Details
File: exploitable (93 bytes, text/plain)
2014-08-07 07:22 UTC, Matteo Settenvini
no flags Details
File: limits (1.29 KB, text/plain)
2014-08-07 07:22 UTC, Matteo Settenvini
no flags Details
File: maps (125.09 KB, text/plain)
2014-08-07 07:22 UTC, Matteo Settenvini
no flags Details
File: open_fds (947 bytes, text/plain)
2014-08-07 07:22 UTC, Matteo Settenvini
no flags Details
File: proc_pid_status (955 bytes, text/plain)
2014-08-07 07:22 UTC, Matteo Settenvini
no flags Details
File: var_log_messages (12.31 KB, text/plain)
2014-08-07 07:22 UTC, Matteo Settenvini
no flags Details

Description Matteo Settenvini 2014-08-07 07:22:18 UTC
Description of problem:
Random crash disconnecting and reconnecting a second monitor HDMI cable while in the related settings dialog.

Version-Release number of selected component:
control-center-3.13.4-1.fc21

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        gnome-control-center --overview
crash_function: gnome_rr_output_info_is_active
executable:     /usr/bin/gnome-control-center
kernel:         3.16.0-0.rc7.git0.1.fc21.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 gnome_rr_output_info_is_active at gnome-rr-output-info.c:86
 #1 paint_output at cc-display-panel.c:216
 #2 display_preview_draw at cc-display-panel.c:343
 #3 _gtk_marshal_BOOLEAN__BOXEDv at gtkmarshalers.c:130
 #4 gtk_widget_draw_marshallerv at gtkwidget.c:1096
 #5 _g_closure_invoke_va at gclosure.c:831
 #8 _gtk_widget_draw_internal at gtkwidget.c:6953
 #10 _gtk_widget_draw_windows at gtkwidget.c:7054
 #11 _gtk_widget_draw at gtkwidget.c:7124
 #12 gtk_container_propagate_draw at gtkcontainer.c:3591

Potential duplicate: bug 1076679

Comment 1 Matteo Settenvini 2014-08-07 07:22:22 UTC
Created attachment 924746 [details]
File: backtrace

Comment 2 Matteo Settenvini 2014-08-07 07:22:24 UTC
Created attachment 924747 [details]
File: cgroup

Comment 3 Matteo Settenvini 2014-08-07 07:22:26 UTC
Created attachment 924748 [details]
File: core_backtrace

Comment 4 Matteo Settenvini 2014-08-07 07:22:28 UTC
Created attachment 924749 [details]
File: dso_list

Comment 5 Matteo Settenvini 2014-08-07 07:22:30 UTC
Created attachment 924750 [details]
File: environ

Comment 6 Matteo Settenvini 2014-08-07 07:22:32 UTC
Created attachment 924751 [details]
File: exploitable

Comment 7 Matteo Settenvini 2014-08-07 07:22:33 UTC
Created attachment 924752 [details]
File: limits

Comment 8 Matteo Settenvini 2014-08-07 07:22:36 UTC
Created attachment 924753 [details]
File: maps

Comment 9 Matteo Settenvini 2014-08-07 07:22:38 UTC
Created attachment 924754 [details]
File: open_fds

Comment 10 Matteo Settenvini 2014-08-07 07:22:40 UTC
Created attachment 924755 [details]
File: proc_pid_status

Comment 11 Matteo Settenvini 2014-08-07 07:22:42 UTC
Created attachment 924756 [details]
File: var_log_messages

Comment 12 Fedora End Of Life 2015-11-04 15:16:24 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Fedora End Of Life 2015-12-02 03:22:19 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.